#pragma once

#include "MenuDlg.h"
// CDlgTop 对话框

enum TopWndID
{
	MENU_DLG
};

class CDlgTop : public CDialog
{
	DECLARE_DYNAMIC(CDlgTop)

public:
	CDlgTop(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDlgTop();

// 对话框数据
	enum { IDD = IDD_DLG_TOP };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()


private:
	CMenuDlg *m_pMenuDlg;
	virtual BOOL OnInitDialog();
	afx_msg void OnClose();

public:
	void CreateSubWnd();
	void SetViewWnd(TopWndID emWndID, int nCmdShow);
public:
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
};
